For the complete documentation index, see llms.txt. This page is also available as Markdown.

Dataset Audit

Get Dataset Audit

get

Returns audit data by market date for a given dataset

  • market_date: The market date for which the audit data is being returned

  • number_of_datapoints: The total number of rows

  • number_of_unique_time_index_values: The total number of unique time index values

  • number_of_unique_subseries_index_values: The total number of unique subseries index values

  • number_of_unique_publish_times_on_publish_date: The total number of unique publish time values where the publish time occurred on the given market date

Path parameters
dataset_idstringRequired
Query parameters
api_keystring · nullableOptional

API key for authentication (query)

return_formatstring · enumOptional

The return format of the response

Default: jsonPossible values:
downloadbooleanOptional

Whether to download the file or not

Default: false
json_schemastring · enumOptional

The json schema of the response

Default: array-of-objectsPossible values:
Header parameters
x-api-keystring · nullableOptional

API key for authentication (header)

Responses
200

Successful response

application/json
status_codeintegerRequired
get/datasets/{dataset_id}/audit
GET /v1/datasets/{dataset_id}/audit HTTP/1.1
Host: api.gridstatus.io
Accept: */*
{
  "status_code": 200,
  "data": [
    {
      "market_date": "2025-01-01",
      "number_of_datapoints": 100,
      "number_of_unique_time_index_values": 100,
      "number_of_unique_subseries_index_values": 100,
      "number_of_unique_publish_times_on_publish_date": 100
    },
    {
      "market_date": "2025-01-02",
      "number_of_datapoints": 100,
      "number_of_unique_time_index_values": 100,
      "number_of_unique_subseries_index_values": 100,
      "number_of_unique_publish_times_on_publish_date": 100
    }
  ],
  "meta": {
    "page": 1
  }
}

Last updated

Was this helpful?